Skip to content

Retrieve a source

GET
/v1/sources/{source_id}
curl --request GET \
--url https://api.pensievelabs.co/v1/sources/src_agent_trials \
--header 'Authorization: Bearer <token>'
source_id
required
string

Example

src_agent_trials

The source.

Media typeapplication/json
object
id
required
string
object
required
Allowed value: source
name
required
string
kind
required
string
Allowed values: stream database files webhook sdk
via
required
string
state
required
string
Allowed values: connecting connected paused error
volume
required
string | null
held_out
required

What is kept out of every training set, such as the last 60 days, or the cases set aside as your test.

string | null
models
required
Array<string>
last_read_at
required
string | null format: date-time
created_at
required
string format: date-time

Example

{
"id": "src_agent_trials",
"object": "source",
"kind": "stream",
"via": "Kafka",
"state": "connecting",
"volume": "240k a day",
"held_out": "Last 60 days held out"
}

Something went wrong; error.type says what.

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request authentication permission not_found conflict rate_limit not_available server
message
required
string
param

The request field the error is about.

string | null
request_id
required
string

Example

{
"error": {
"type": "invalid_request"
}
}